%global dracut_modname 97walinuxagent

Summary:        The Microsoft Azure Linux Agent
Name:           WALinuxAgent
Version:        2.8.0.11
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://github.com/Azure/%{name}
Source0:        https://github.com/Azure/%{name}/archive/v%{version}.tar.gz #/%{name}-%{version}.tar.gz
Source1:        module-setup.sh
Patch5000:      support-OpenCloudOS.patch

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools python3-distro
BuildRequires:  systemd
Requires:       %name-udev = %version-%release
Requires:       openssh openssh-server
Requires:       openssl iptables
Requires:       parted
Requires:       python3-pyasn1
Requires(post):  systemd
Requires(preun): systemd
Requires(postun): systemd

%description
The Microsoft Azure Linux Agent supports the provisioning and running of Linux
VMs in the Microsoft Azure cloud. This package should be installed on Linux disk
images that are built to run in the Microsoft Azure environment.


%package udev
Summary:        Udev rules for Microsoft Azure

%description udev
Udev rules specific to Microsoft Azure Virtual Machines.


%prep
%autosetup -p1


%build
%py3_build


%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --lnx-distro %{_vendor}

mkdir -p -m 0700 %{buildroot}%{_sharedstatedir}/waagent
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/waagent.log

mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/*.rules %{buildroot}%{_udevrulesdir}/

rm -rf %{buildroot}/%{python3_sitelib}/tests
rm -rf %{buildroot}/%{python3_sitelib}/__main__.py
rm -rf %{buildroot}/%{python3_sitelib}/__pycache__/__main__*.py*

sed -i 's,#!/usr/bin/env python,#!/usr/bin/python,' %{buildroot}%{_sbindir}/waagent
rm -f %{buildroot}%{_sbindir}/waagent2.0

#setup.py install service file in /lib/systemd/system/ by default
mkdir -p %{buildroot}%{_unitdir}
mv %{buildroot}/lib/systemd/system/waagent.service %{buildroot}%{_unitdir}/
mv %{buildroot}/lib/systemd/system/azure.slice %{buildroot}%{_unitdir}/
mv %{buildroot}/lib/systemd/system/azure-vmextensions.slice %{buildroot}%{_unitdir}/
sed -i 's,/usr/bin/python ,/usr/bin/python3 ,' %{buildroot}%{_unitdir}/waagent.service

mv %{buildroot}%{_sysconfdir}/logrotate.d/waagent.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -m0755 -D -t %{buildroot}%{_prefix}/lib/dracut/modules.d/%{dracut_modname}/ %{SOURCE1}


%post
%systemd_post waagent.service

%preun
%systemd_preun waagent.service

%postun
%systemd_postun_with_restart waagent.service


%files
%license LICENSE.txt
%doc NOTICE README.md
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/waagent.conf
%{_sbindir}/waagent
%{_unitdir}/waagent.service
%{_unitdir}/azure.slice
%{_unitdir}/azure-vmextensions.slice
%ghost %{_localstatedir}/log/waagent.log
%dir %attr(0700, root, root) %{_sharedstatedir}/waagent
%{python3_sitelib}/azurelinuxagent
%{python3_sitelib}/*.egg-info


%files udev
%{_udevrulesdir}/*.rules
%{_prefix}/lib/dracut/modules.d/%{dracut_modname}/*.sh


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0.11-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0.11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0.11-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 rockerzhu <rockerzhu@tencent.com> - 2.8.0.11-1
- Initial build
